from scipy import stats
import statistics
from tabulate import tabulate
import collections

results = {
    'commons-beanutils': {
        'ut_seeded_killed': 0,
        'it_seeded_killed': 5,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 1147,
        'it_mutations_killed': 3802,
        'both_mutations_killed': 1026,
        'ut_disj_mutations_killed': 10,
        'it_disj_mutations_killed': 29,
        'both_disj_mutations_killed': 68,
        'ut_lines_sum': 9027,
        'it_lines_sum': 44807
    },
    'commons-codec': {
        'ut_seeded_killed': 4,
        'it_seeded_killed': 0,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 5219,
        'it_mutations_killed': 1001,
        'both_mutations_killed': 1187,
        'ut_disj_mutations_killed': 72,
        'it_disj_mutations_killed': 7,
        'both_disj_mutations_killed': 47,
        'ut_lines_sum': 6148,
        'it_lines_sum': 1136
    },
    'commons-collections': {
        'ut_seeded_killed': 1,
        'it_seeded_killed': 4,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 2119,
        'it_mutations_killed': 6009,
        'both_mutations_killed': 1696,
        'ut_disj_mutations_killed': 35,
        'it_disj_mutations_killed': 41,
        'both_disj_mutations_killed': 91,
        'ut_lines_sum': 62859,
        'it_lines_sum': 259904
    },
    'commons-io': {
        'ut_seeded_killed': 5,
        'it_seeded_killed': 5,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 3308,
        'it_mutations_killed': 2714,
        'both_mutations_killed': 1523,
        'ut_disj_mutations_killed': 63,
        'it_disj_mutations_killed': 17,
        'both_disj_mutations_killed': 142,
        'ut_lines_sum': 16231,
        'it_lines_sum': 12701
    },
    'commons-lang': {
        'ut_seeded_killed': 0,
        'it_seeded_killed': 3,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 19444,
        'it_mutations_killed': 5803,
        'both_mutations_killed': 5481,
        'ut_disj_mutations_killed': 423,
        'it_disj_mutations_killed': 27,
        'both_disj_mutations_killed': 212,
        'ut_lines_sum': 34032,
        'it_lines_sum': 11892
    },
    'commons-math': {
        'ut_seeded_killed': 4,
        'it_seeded_killed': 15,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 3773,
        'it_mutations_killed': 73058,
        'both_mutations_killed': 9244,
        'ut_disj_mutations_killed': 27,
        'it_disj_mutations_killed': 265,
        'both_disj_mutations_killed': 507,
        'ut_lines_sum': 9832,
        'it_lines_sum': 148181
    },
    'druid': {
        'ut_seeded_killed': 0,
        'it_seeded_killed': 21,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 618,
        'it_mutations_killed': 72285,
        'both_mutations_killed': 486,
        'ut_disj_mutations_killed': 18,
        'it_disj_mutations_killed': 388,
        'both_disj_mutations_killed': 46,
        'ut_lines_sum': 585,
        'it_lines_sum': 470332
    },
    'fastjson': {
        'ut_seeded_killed': 0,
        'it_seeded_killed': 21,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 712,
        'it_mutations_killed': 29323,
        'both_mutations_killed': 2841,
        'ut_disj_mutations_killed': 4,
        'it_disj_mutations_killed': 444,
        'both_disj_mutations_killed': 375,
        'ut_lines_sum': 1872,
        'it_lines_sum': 35955
    },
    'gson': {
        'ut_seeded_killed': 0,
        'it_seeded_killed': 0,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 741,
        'it_mutations_killed': 3831,
        'both_mutations_killed': 1861,
        'ut_disj_mutations_killed': 2,
        'it_disj_mutations_killed': 23,
        'both_disj_mutations_killed': 28,
        'ut_lines_sum': 2131,
        'it_lines_sum': 10979
    },
    'guice': {
        'ut_seeded_killed': 1,
        'it_seeded_killed': 1,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 50,
        'it_mutations_killed': 7898,
        'both_mutations_killed': 120,
        'ut_disj_mutations_killed': 1,
        'it_disj_mutations_killed': 70,
        'both_disj_mutations_killed': 8,
        'ut_lines_sum': 138,
        'it_lines_sum': 13847
    },
    'hikariCP': {
        'ut_seeded_killed': 0,
        'it_seeded_killed': 2,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 61,
        'it_mutations_killed': 2099,
        'both_mutations_killed': 104,
        'ut_disj_mutations_killed': 0,
        'it_disj_mutations_killed': 4,
        'both_disj_mutations_killed': 10,
        'ut_lines_sum': 229,
        'it_lines_sum': 3257
    },
    'jackson-core': {
        'ut_seeded_killed': 0,
        'it_seeded_killed': 9,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 529,
        'it_mutations_killed': 19198,
        'both_mutations_killed': 951,
        'ut_disj_mutations_killed': 6,
        'it_disj_mutations_killed': 24,
        'both_disj_mutations_killed': 57,
        'ut_lines_sum': 490,
        'it_lines_sum': 14430
    },
    'jfreechart': {
        'ut_seeded_killed': 0,
        'it_seeded_killed': 1,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 1228,
        'it_mutations_killed': 32912,
        'both_mutations_killed': 996,
        'ut_disj_mutations_killed': 22,
        'it_disj_mutations_killed': 69,
        'both_disj_mutations_killed': 78,
        'ut_lines_sum': 2642,
        'it_lines_sum': 31104
    },
    'joda-time': {
        'ut_seeded_killed': 0,
        'it_seeded_killed': 4,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 481,
        'it_mutations_killed': 24784,
        'both_mutations_killed': 1045,
        'ut_disj_mutations_killed': 6,
        'it_disj_mutations_killed': 298,
        'both_disj_mutations_killed': 120,
        'ut_lines_sum': 2769,
        'it_lines_sum': 83663
    },
    'jsoup': {
        'ut_seeded_killed': 0,
        'it_seeded_killed': 12,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 98,
        'it_mutations_killed': 8939,
        'both_mutations_killed': 875,
        'ut_disj_mutations_killed': 0,
        'it_disj_mutations_killed': 12,
        'both_disj_mutations_killed': 31,
        'ut_lines_sum': 551,
        'it_lines_sum': 10697
    },
    'mybatis-3': {
        'ut_seeded_killed': 1,
        'it_seeded_killed': 6,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 607,
        'it_mutations_killed': 7503,
        'both_mutations_killed': 4620,
        'ut_disj_mutations_killed': 4,
        'it_disj_mutations_killed': 7,
        'both_disj_mutations_killed': 149,
        'ut_lines_sum': 1367,
        'it_lines_sum': 17575
    },
    'zxing': {
        'ut_seeded_killed': 1,
        'it_seeded_killed': 5,
        'both_seeded_killed': 0,
        'ut_mutations_killed': 1362,
        'it_mutations_killed': 16393,
        'both_mutations_killed': 2430,
        'ut_disj_mutations_killed': 2,
        'it_disj_mutations_killed': 7,
        'both_disj_mutations_killed': 41,
        'ut_lines_sum': 1487,
        'it_lines_sum': 10163
    },
}
results = collections.OrderedDict(sorted(results.items()))

ut_seeded_scores = []
it_seeded_scores = []
ut_mutation_scores = []
it_mutation_scores = []
ut_disj_mutation_scores = []
it_disj_mutation_scores = []

ut_seeded_killed = []
it_seeded_killed = []
both_seeded_killed = []
ut_mutations_killed = []
it_mutations_killed = []
both_mutations_killed = []
ut_disj_mutations_killed = []
it_disj_mutations_killed = []
both_disj_mutations_killed = []

table_seeded = []
table_mutation = []
table_disj_mutation = []

for project_name, result in results.items():
    ut_k_testloc = result['ut_lines_sum']/1000
    it_k_testloc = result['it_lines_sum']/1000

    ut_seeded_killed.append(result['ut_seeded_killed'])
    it_seeded_killed.append(result['it_seeded_killed'])
    both_seeded_killed.append(result['both_seeded_killed'])
    ut_mutations_killed.append(result['ut_mutations_killed'])
    it_mutations_killed.append(result['it_mutations_killed'])
    both_mutations_killed.append(result['both_mutations_killed'])
    ut_disj_mutations_killed.append(result['ut_disj_mutations_killed'])
    it_disj_mutations_killed.append(result['it_disj_mutations_killed'])
    both_disj_mutations_killed.append(result['both_disj_mutations_killed'])

    ut_seeded_score = (result['ut_seeded_killed']/ut_k_testloc)
    it_seeded_score = (result['it_seeded_killed']/it_k_testloc)
    ut_mutation_score = (result['ut_mutations_killed']/ut_k_testloc)
    it_mutation_score = (result['it_mutations_killed']/it_k_testloc)
    ut_disj_mutation_score = (result['ut_disj_mutations_killed']/ut_k_testloc)
    it_disj_mutation_score = (result['it_disj_mutations_killed']/it_k_testloc)

    ut_seeded_scores.append(ut_seeded_score)
    it_seeded_scores.append(it_seeded_score)

    ut_mutation_scores.append(ut_mutation_score)
    it_mutation_scores.append(it_mutation_score)

    ut_disj_mutation_scores.append(ut_disj_mutation_score)
    it_disj_mutation_scores.append(it_disj_mutation_score)

    # Populate tables
    table_seeded.append([project_name, result['ut_seeded_killed'], result['it_seeded_killed'],
                         result['both_seeded_killed'], "%.3f" % ut_seeded_score, "%.3f" % it_seeded_score])
    table_mutation.append([project_name, result['ut_mutations_killed'], result['it_mutations_killed'],
                           result['both_mutations_killed'], "%.3f" % ut_mutation_score, "%.3f" % it_mutation_score])
    table_disj_mutation.append([project_name, result['ut_disj_mutations_killed'], result['it_disj_mutations_killed'],
                                result['both_disj_mutations_killed'], "%.3f" % ut_disj_mutation_score,
                                "%.3f" % it_disj_mutation_score])

### Paper Tables ###
print("SEEDED Table")
table_seeded.append(['Mean', "%.3f" % statistics.mean(ut_seeded_killed), "%.3f" % statistics.mean(it_seeded_killed),
                     "%.3f" % statistics.mean(both_seeded_killed), "%.3f" % statistics.mean(ut_seeded_scores),
                     "%.3f" % statistics.mean(it_seeded_scores)])
table_seeded.append(['StDev', "%.3f" % statistics.stdev(ut_seeded_killed), "%.3f" % statistics.stdev(it_seeded_killed),
                     "%.3f" % statistics.stdev(both_seeded_killed), "%.3f" % statistics.stdev(ut_seeded_scores),
                     "%.3f" % statistics.stdev(it_seeded_scores)])
print(tabulate(table_seeded, tablefmt="latex"))

print("ALL Table")
table_mutation.append(['Mean', "%.3f" % statistics.mean(ut_mutations_killed), "%.3f" % statistics.mean(it_mutations_killed),
                       "%.3f" % statistics.mean(both_mutations_killed), "%.3f" % statistics.mean(ut_mutation_scores),
                       "%.3f" % statistics.mean(it_mutation_scores)])
table_mutation.append(['StDev', "%.3f" % statistics.stdev(ut_mutations_killed), "%.3f" % statistics.stdev(it_mutations_killed),
                       "%.3f" % statistics.stdev(both_mutations_killed), "%.3f" % statistics.stdev(ut_mutation_scores),
                       "%.3f" % statistics.stdev(it_mutation_scores)])
print(tabulate(table_mutation, tablefmt="latex"))

print("DISJ Table")
table_disj_mutation.append(['Mean', "%.3f" % statistics.mean(ut_disj_mutations_killed), "%.3f" % statistics.mean(ut_disj_mutations_killed),
                            "%.3f" % statistics.mean(both_disj_mutations_killed), "%.3f" % statistics.mean(ut_disj_mutation_scores),
                            "%.3f" % statistics.mean(it_disj_mutation_scores)])
table_disj_mutation.append(['StDev', "%.3f" % statistics.stdev(ut_disj_mutations_killed),
                            "%.3f" % statistics.stdev(it_disj_mutations_killed), "%.3f" % statistics.stdev(both_disj_mutations_killed),
                            "%.3f" % statistics.stdev(ut_disj_mutation_scores), "%.3f" % statistics.stdev(it_disj_mutation_scores)])
print(tabulate(table_disj_mutation, tablefmt="latex"))

### Statistical Test ###

# Seeded Defects
print("SEEDED")
print(stats.shapiro(ut_seeded_scores))
print(stats.shapiro(it_seeded_scores))
print(stats.levene(ut_seeded_scores, it_seeded_scores))
print(stats.mannwhitneyu(ut_seeded_scores, it_seeded_scores))

# Mutations (ALL)
print("ALL")
print(stats.shapiro(ut_mutation_scores))
print(stats.shapiro(it_mutation_scores))
print(stats.levene(ut_mutation_scores, it_mutation_scores))
print(stats.mannwhitneyu(ut_mutation_scores, it_mutation_scores))

# Mutations (DISJOINT)
print("DISJ")
print(stats.shapiro(ut_disj_mutation_scores))
print(stats.shapiro(it_disj_mutation_scores))
print(stats.levene(ut_disj_mutation_scores, it_disj_mutation_scores))
print(stats.mannwhitneyu(ut_disj_mutation_scores, it_disj_mutation_scores))
