from scipy import stats
import statistics
from tabulate import tabulate
import collections

results = {
    'commons-beanutils': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 2,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 0,
        'it_seeded_data_killed': 1,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 0,
        'it_seeded_int_killed': 1,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 0,
        'it_seeded_lc_killed': 5,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 1,
        'both_seeded_other_killed': 0,


        'ut_mutations_computation_killed': 41,
        'it_mutations_computation_killed': 104,
        'both_mutations_computation_killed': 40,
        'ut_mutations_data_killed': 66,
        'it_mutations_data_killed': 148,
        'both_mutations_data_killed': 53,
        'ut_mutations_int_killed': 355,
        'it_mutations_int_killed': 1498,
        'both_mutations_int_killed': 320,
        'ut_mutations_lc_killed': 685,
        'it_mutations_lc_killed': 2052,
        'both_mutations_lc_killed': 613,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 0,
        'both_mutations_other_killed': 0,



        'ut_disj_mutations_computation_killed': 1,
        'it_disj_mutations_computation_killed': 0,
        'both_disj_mutations_computation_killed': 4,
        'ut_disj_mutations_data_killed': 0,
        'it_disj_mutations_data_killed': 1,
        'both_disj_mutations_data_killed': 1,
        'ut_disj_mutations_int_killed': 1,
        'it_disj_mutations_int_killed': 4,
        'both_disj_mutations_int_killed': 12,
        'ut_disj_mutations_lc_killed': 8,
        'it_disj_mutations_lc_killed': 24,
        'both_disj_mutations_lc_killed': 51,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 9027,
        'it_lines_sum': 44807
    },
    'commons-codec': {
        'ut_seeded_computation_killed': 1,
        'it_seeded_computation_killed': 0,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 1,
        'it_seeded_data_killed': 0,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 1,
        'it_seeded_int_killed': 0,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 3,
        'it_seeded_lc_killed': 0,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 2,
        'it_seeded_other_killed': 0,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 439,
        'it_mutations_computation_killed': 25,
        'both_mutations_computation_killed': 136,
        'ut_mutations_data_killed': 828,
        'it_mutations_data_killed': 75,
        'both_mutations_data_killed': 191,
        'ut_mutations_int_killed': 1555,
        'it_mutations_int_killed': 391,
        'both_mutations_int_killed': 223,
        'ut_mutations_lc_killed': 2397,
        'it_mutations_lc_killed': 510,
        'both_mutations_lc_killed': 637,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 0,
        'both_mutations_other_killed': 0,




        'ut_disj_mutations_computation_killed': 9,
        'it_disj_mutations_computation_killed': 2,
        'both_disj_mutations_computation_killed': 6,
        'ut_disj_mutations_data_killed': 4,
        'it_disj_mutations_data_killed': 0,
        'both_disj_mutations_data_killed': 1,
        'ut_disj_mutations_int_killed': 13,
        'it_disj_mutations_int_killed': 2,
        'both_disj_mutations_int_killed': 7,
        'ut_disj_mutations_lc_killed': 46,
        'it_disj_mutations_lc_killed': 3,
        'both_disj_mutations_lc_killed': 33,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 6148,
        'it_lines_sum': 1136
    },
    'commons-collections': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 0,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 0,
        'it_seeded_data_killed': 1,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 1,
        'it_seeded_int_killed': 1,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 0,
        'it_seeded_lc_killed': 3,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 1,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 141,
        'it_mutations_computation_killed': 325,
        'both_mutations_computation_killed': 143,
        'ut_mutations_data_killed': 188,
        'it_mutations_data_killed': 290,
        'both_mutations_data_killed': 122,
        'ut_mutations_int_killed': 524,
        'it_mutations_int_killed': 1839,
        'both_mutations_int_killed': 413,
        'ut_mutations_lc_killed': 1266,
        'it_mutations_lc_killed': 3555,
        'both_mutations_lc_killed': 1018,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 0,
        'both_mutations_other_killed': 0,



        'ut_disj_mutations_computation_killed': 1,
        'it_disj_mutations_computation_killed': 1,
        'both_disj_mutations_computation_killed': 6,
        'ut_disj_mutations_data_killed': 1,
        'it_disj_mutations_data_killed': 0,
        'both_disj_mutations_data_killed': 3,
        'ut_disj_mutations_int_killed': 7,
        'it_disj_mutations_int_killed': 10,
        'both_disj_mutations_int_killed': 22,
        'ut_disj_mutations_lc_killed': 26,
        'it_disj_mutations_lc_killed': 30,
        'both_disj_mutations_lc_killed': 60,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 62859,
        'it_lines_sum': 259904
    },
    'commons-io': {
        'ut_seeded_computation_killed': 2,
        'it_seeded_computation_killed': 3,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 3,
        'it_seeded_data_killed': 5,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 4,
        'it_seeded_int_killed': 4,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 5,
        'it_seeded_lc_killed': 5,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 4,
        'it_seeded_other_killed': 4,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 191,
        'it_mutations_computation_killed': 206,
        'both_mutations_computation_killed': 91,
        'ut_mutations_data_killed': 349,
        'it_mutations_data_killed': 256,
        'both_mutations_data_killed': 135,
        'ut_mutations_int_killed': 1005,
        'it_mutations_int_killed': 858,
        'both_mutations_int_killed': 434,
        'ut_mutations_lc_killed': 1763,
        'it_mutations_lc_killed': 1394,
        'both_mutations_lc_killed': 862,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 0,
        'both_mutations_other_killed': 1,


        'ut_disj_mutations_computation_killed': 9,
        'it_disj_mutations_computation_killed': 2,
        'both_disj_mutations_computation_killed': 16,
        'ut_disj_mutations_data_killed': 4,
        'it_disj_mutations_data_killed': 1,
        'both_disj_mutations_data_killed': 5,
        'ut_disj_mutations_int_killed': 23,
        'it_disj_mutations_int_killed': 2,
        'both_disj_mutations_int_killed': 40,
        'ut_disj_mutations_lc_killed': 27,
        'it_disj_mutations_lc_killed': 12,
        'both_disj_mutations_lc_killed': 81,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 16231,
        'it_lines_sum': 12701
    },
    'commons-lang': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 0,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 0,
        'it_seeded_data_killed': 2,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 0,
        'it_seeded_int_killed': 1,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 0,
        'it_seeded_lc_killed': 2,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 0,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 861,
        'it_mutations_computation_killed': 195,
        'both_mutations_computation_killed': 247,
        'ut_mutations_data_killed': 2067,
        'it_mutations_data_killed': 533,
        'both_mutations_data_killed': 526,
        'ut_mutations_int_killed': 4170,
        'it_mutations_int_killed': 1885,
        'both_mutations_int_killed': 1518,
        'ut_mutations_lc_killed': 12345,
        'it_mutations_lc_killed': 3190,
        'both_mutations_lc_killed': 3190,
        'ut_mutations_other_killed': 1,
        'it_mutations_other_killed': 0,
        'both_mutations_other_killed': 0,



        'ut_disj_mutations_computation_killed': 19,
        'it_disj_mutations_computation_killed': 0,
        'both_disj_mutations_computation_killed': 22,
        'ut_disj_mutations_data_killed': 39,
        'it_disj_mutations_data_killed': 5,
        'both_disj_mutations_data_killed': 15,
        'ut_disj_mutations_int_killed': 70,
        'it_disj_mutations_int_killed': 16,
        'both_disj_mutations_int_killed': 42,
        'ut_disj_mutations_lc_killed': 295,
        'it_disj_mutations_lc_killed': 6,
        'both_disj_mutations_lc_killed': 133,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 34032,
        'it_lines_sum': 11892
    },
    'commons-math': {
        'ut_seeded_computation_killed': 2,
        'it_seeded_computation_killed': 3,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 2,
        'it_seeded_data_killed': 4,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 1,
        'it_seeded_int_killed': 3,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 4,
        'it_seeded_lc_killed': 11,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 2,
        'it_seeded_other_killed': 7,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 306,
        'it_mutations_computation_killed': 6124,
        'both_mutations_computation_killed': 832,
        'ut_mutations_data_killed': 451,
        'it_mutations_data_killed': 12091,
        'both_mutations_data_killed': 1645,
        'ut_mutations_int_killed': 929,
        'it_mutations_int_killed': 20520,
        'both_mutations_int_killed': 1751,
        'ut_mutations_lc_killed': 2085,
        'it_mutations_lc_killed': 34050,
        'both_mutations_lc_killed': 5014,
        'ut_mutations_other_killed': 2,
        'it_mutations_other_killed': 273,
        'both_mutations_other_killed': 2,



        'ut_disj_mutations_computation_killed': 3,
        'it_disj_mutations_computation_killed': 44,
        'both_disj_mutations_computation_killed': 50,
        'ut_disj_mutations_data_killed': 1,
        'it_disj_mutations_data_killed': 25,
        'both_disj_mutations_data_killed': 76,
        'ut_disj_mutations_int_killed': 7,
        'it_disj_mutations_int_killed': 23,
        'both_disj_mutations_int_killed': 57,
        'ut_disj_mutations_lc_killed': 16,
        'it_disj_mutations_lc_killed': 173,
        'both_disj_mutations_lc_killed': 324,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 9832,
        'it_lines_sum': 148181
    },
    'druid': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 3,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 0,
        'it_seeded_data_killed': 11,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 0,
        'it_seeded_int_killed': 14,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 0,
        'it_seeded_lc_killed': 18,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 0,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 78,
        'it_mutations_computation_killed': 36,
        'both_mutations_computation_killed': 4113,
        'ut_mutations_data_killed': 99,
        'it_mutations_data_killed': 3996,
        'both_mutations_data_killed': 40,
        'ut_mutations_int_killed': 114,
        'it_mutations_int_killed': 28309,
        'both_mutations_int_killed': 99,
        'ut_mutations_lc_killed': 327,
        'it_mutations_lc_killed': 35867,
        'both_mutations_lc_killed': 311,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 0,
        'both_mutations_other_killed': 0,



        'ut_disj_mutations_computation_killed': 3,
        'it_disj_mutations_computation_killed': 48,
        'both_disj_mutations_computation_killed': 4,
        'ut_disj_mutations_data_killed': 1,
        'it_disj_mutations_data_killed': 25,
        'both_disj_mutations_data_killed': 2,
        'ut_disj_mutations_int_killed': 5,
        'it_disj_mutations_int_killed': 119,
        'both_disj_mutations_int_killed': 7,
        'ut_disj_mutations_lc_killed': 9,
        'it_disj_mutations_lc_killed': 196,
        'both_disj_mutations_lc_killed': 33,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 585,
        'it_lines_sum': 470332
    },
    'fastjson': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 10,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 0,
        'it_seeded_data_killed': 17,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 0,
        'it_seeded_int_killed': 7,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 0,
        'it_seeded_lc_killed': 18,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 3,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 52,
        'it_mutations_computation_killed': 2125,
        'both_mutations_computation_killed': 249,
        'ut_mutations_data_killed': 103,
        'it_mutations_data_killed': 4605,
        'both_mutations_data_killed': 485,
        'ut_mutations_int_killed': 113,
        'it_mutations_int_killed': 8851,
        'both_mutations_int_killed': 488,
        'ut_mutations_lc_killed': 444,
        'it_mutations_lc_killed': 13741,
        'both_mutations_lc_killed': 1618,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 1,
        'both_mutations_other_killed': 1,


        'ut_disj_mutations_computation_killed': 0,
        'it_disj_mutations_computation_killed': 45,
        'both_disj_mutations_computation_killed': 45,
        'ut_disj_mutations_data_killed': 0,
        'it_disj_mutations_data_killed': 47,
        'both_disj_mutations_data_killed': 51,
        'ut_disj_mutations_int_killed': 0,
        'it_disj_mutations_int_killed': 102,
        'both_disj_mutations_int_killed': 52,
        'ut_disj_mutations_lc_killed': 4,
        'it_disj_mutations_lc_killed': 250,
        'both_disj_mutations_lc_killed': 227,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 1872,
        'it_lines_sum': 35955
    },
    'gson': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 0,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 0,
        'it_seeded_data_killed': 0,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 0,
        'it_seeded_int_killed': 0,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 0,
        'it_seeded_lc_killed': 0,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 0,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 135,
        'it_mutations_computation_killed': 190,
        'both_mutations_computation_killed': 203,
        'ut_mutations_data_killed': 125,
        'it_mutations_data_killed': 160,
        'both_mutations_data_killed': 280,
        'ut_mutations_int_killed': 135,
        'it_mutations_int_killed': 1286,
        'both_mutations_int_killed': 298,
        'ut_mutations_lc_killed': 335,
        'it_mutations_lc_killed': 1759,
        'both_mutations_lc_killed': 1050,
        'ut_mutations_other_killed': 11,
        'it_mutations_other_killed': 436,
        'both_mutations_other_killed': 30,


        'ut_disj_mutations_computation_killed': 0,
        'it_disj_mutations_computation_killed': 5,
        'both_disj_mutations_computation_killed': 0,
        'ut_disj_mutations_data_killed': 1,
        'it_disj_mutations_data_killed': 4,
        'both_disj_mutations_data_killed': 3,
        'ut_disj_mutations_int_killed': 0,
        'it_disj_mutations_int_killed': 2,
        'both_disj_mutations_int_killed': 4,
        'ut_disj_mutations_lc_killed': 1,
        'it_disj_mutations_lc_killed': 9,
        'both_disj_mutations_lc_killed': 13,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 8,
        'both_disj_mutations_other_killed': 3,
        'ut_lines_sum': 2131,
        'it_lines_sum': 10979
    },
    'guice': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 0,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 0,
        'it_seeded_data_killed': 1,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 0,
        'it_seeded_int_killed': 1,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 1,
        'it_seeded_lc_killed': 1,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 1,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 3,
        'it_mutations_computation_killed': 527,
        'both_mutations_computation_killed': 11,
        'ut_mutations_data_killed': 3,
        'it_mutations_data_killed': 449,
        'both_mutations_data_killed': 12,
        'ut_mutations_int_killed': 14,
        'it_mutations_int_killed': 3137,
        'both_mutations_int_killed': 45,
        'ut_mutations_lc_killed': 30,
        'it_mutations_lc_killed': 3785,
        'both_mutations_lc_killed': 52,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 0,
        'both_mutations_other_killed': 0,


        'ut_disj_mutations_computation_killed': 1,
        'it_disj_mutations_computation_killed': 5,
        'both_disj_mutations_computation_killed': 2,
        'ut_disj_mutations_data_killed': 0,
        'it_disj_mutations_data_killed': 8,
        'both_disj_mutations_data_killed': 1,
        'ut_disj_mutations_int_killed': 0,
        'it_disj_mutations_int_killed': 23,
        'both_disj_mutations_int_killed': 4,
        'ut_disj_mutations_lc_killed': 0,
        'it_disj_mutations_lc_killed': 34,
        'both_disj_mutations_lc_killed': 1,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 138,
        'it_lines_sum': 13847
    },
    'hikariCP': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 2,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 0,
        'it_seeded_data_killed': 2,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 0,
        'it_seeded_int_killed': 2,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 0,
        'it_seeded_lc_killed': 2,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 0,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 2,
        'it_mutations_computation_killed': 192,
        'both_mutations_computation_killed': 8,
        'ut_mutations_data_killed': 10,
        'it_mutations_data_killed': 179,
        'both_mutations_data_killed': 9,
        'ut_mutations_int_killed': 33,
        'it_mutations_int_killed': 748,
        'both_mutations_int_killed': 42,
        'ut_mutations_lc_killed': 16,
        'it_mutations_lc_killed': 978,
        'both_mutations_lc_killed': 45,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 2,
        'both_mutations_other_killed': 0,



        'ut_disj_mutations_computation_killed': 0,
        'it_disj_mutations_computation_killed': 0,
        'both_disj_mutations_computation_killed': 2,
        'ut_disj_mutations_data_killed': 0,
        'it_disj_mutations_data_killed': 0,
        'both_disj_mutations_data_killed': 0,
        'ut_disj_mutations_int_killed': 0,
        'it_disj_mutations_int_killed': 1,
        'both_disj_mutations_int_killed': 5,
        'ut_disj_mutations_lc_killed': 0,
        'it_disj_mutations_lc_killed': 3,
        'both_disj_mutations_lc_killed': 3,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 229,
        'it_lines_sum': 3257
    },
    'jackson-core': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 4,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 0,
        'it_seeded_data_killed': 4,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 0,
        'it_seeded_int_killed': 7,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 0,
        'it_seeded_lc_killed': 8,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 7,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 43,
        'it_mutations_computation_killed': 2689,
        'both_mutations_computation_killed': 173,
        'ut_mutations_data_killed': 67,
        'it_mutations_data_killed': 2711,
        'both_mutations_data_killed': 161,
        'ut_mutations_int_killed': 144,
        'it_mutations_int_killed': 3433,
        'both_mutations_int_killed': 143,
        'ut_mutations_lc_killed': 275,
        'it_mutations_lc_killed': 10364,
        'both_mutations_lc_killed': 474,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 1,
        'both_mutations_other_killed': 0,


        'ut_disj_mutations_computation_killed': 0,
        'it_disj_mutations_computation_killed': 4,
        'both_disj_mutations_computation_killed': 9,
        'ut_disj_mutations_data_killed': 2,
        'it_disj_mutations_data_killed': 1,
        'both_disj_mutations_data_killed': 5,
        'ut_disj_mutations_int_killed': 0,
        'it_disj_mutations_int_killed': 4,
        'both_disj_mutations_int_killed': 4,
        'ut_disj_mutations_lc_killed': 4,
        'it_disj_mutations_lc_killed': 15,
        'both_disj_mutations_lc_killed': 39,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 490,
        'it_lines_sum': 14430
    },
    'jfreechart': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 1,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 0,
        'it_seeded_data_killed': 1,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 0,
        'it_seeded_int_killed': 1,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 0,
        'it_seeded_lc_killed': 1,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 0,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 96,
        'it_mutations_computation_killed': 2389,
        'both_mutations_computation_killed': 59,
        'ut_mutations_data_killed': 188,
        'it_mutations_data_killed': 2903,
        'both_mutations_data_killed': 108,
        'ut_mutations_int_killed': 199,
        'it_mutations_int_killed': 9060,
        'both_mutations_int_killed': 115,
        'ut_mutations_lc_killed': 745,
        'it_mutations_lc_killed': 18538,
        'both_mutations_lc_killed': 714,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 22,
        'both_mutations_other_killed': 0,


        'ut_disj_mutations_computation_killed': 1,
        'it_disj_mutations_computation_killed': 13,
        'both_disj_mutations_computation_killed': 15,
        'ut_disj_mutations_data_killed': 3,
        'it_disj_mutations_data_killed': 0,
        'both_disj_mutations_data_killed': 6,
        'ut_disj_mutations_int_killed': 5,
        'it_disj_mutations_int_killed': 10,
        'both_disj_mutations_int_killed': 11,
        'ut_disj_mutations_lc_killed': 13,
        'it_disj_mutations_lc_killed': 46,
        'both_disj_mutations_lc_killed': 46,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 2642,
        'it_lines_sum': 31104
    },
    'joda-time': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 1,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 0,
        'it_seeded_data_killed': 1,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 0,
        'it_seeded_int_killed': 0,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 0,
        'it_seeded_lc_killed': 4,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 2,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 20,
        'it_mutations_computation_killed': 1154,
        'both_mutations_computation_killed': 41,
        'ut_mutations_data_killed': 53,
        'it_mutations_data_killed': 1839,
        'both_mutations_data_killed': 100,
        'ut_mutations_int_killed': 171,
        'it_mutations_int_killed': 8461,
        'both_mutations_int_killed': 998,
        'ut_mutations_lc_killed': 229,
        'it_mutations_lc_killed': 13329,
        'both_mutations_lc_killed': 706,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 1,
        'both_mutations_other_killed': 0,


        'ut_disj_mutations_computation_killed': 0,
        'it_disj_mutations_computation_killed': 10,
        'both_disj_mutations_computation_killed': 5,
        'ut_disj_mutations_data_killed': 0,
        'it_disj_mutations_data_killed': 10,
        'both_disj_mutations_data_killed': 7,
        'ut_disj_mutations_int_killed': 2,
        'it_disj_mutations_int_killed': 47,
        'both_disj_mutations_int_killed': 13,
        'ut_disj_mutations_lc_killed': 4,
        'it_disj_mutations_lc_killed': 231,
        'both_disj_mutations_lc_killed': 95,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 2769,
        'it_lines_sum': 83663
    },
    'jsoup': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 5,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 0,
        'it_seeded_data_killed': 5,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 0,
        'it_seeded_int_killed': 6,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 0,
        'it_seeded_lc_killed': 7,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 10,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 4,
        'it_mutations_computation_killed': 394,
        'both_mutations_computation_killed': 53,
        'ut_mutations_data_killed': 12,
        'it_mutations_data_killed': 700,
        'both_mutations_data_killed': 97,
        'ut_mutations_int_killed': 26,
        'it_mutations_int_killed': 3354,
        'both_mutations_int_killed': 216,
        'ut_mutations_lc_killed': 56,
        'it_mutations_lc_killed': 4491,
        'both_mutations_lc_killed': 509,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 0,
        'both_mutations_other_killed': 0,



        'ut_disj_mutations_computation_killed': 0,
        'it_disj_mutations_computation_killed': 0,
        'both_disj_mutations_computation_killed': 4,
        'ut_disj_mutations_data_killed': 0,
        'it_disj_mutations_data_killed': 1,
        'both_disj_mutations_data_killed': 5,
        'ut_disj_mutations_int_killed': 0,
        'it_disj_mutations_int_killed': 5,
        'both_disj_mutations_int_killed': 7,
        'ut_disj_mutations_lc_killed': 0,
        'it_disj_mutations_lc_killed': 6,
        'both_disj_mutations_lc_killed': 15,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 551,
        'it_lines_sum': 10697
    },
    'mybatis-3': {
        'ut_seeded_computation_killed': 1,
        'it_seeded_computation_killed': 5,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 1,
        'it_seeded_data_killed': 3,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 1,
        'it_seeded_int_killed': 3,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 1,
        'it_seeded_lc_killed': 6,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 1,
        'it_seeded_other_killed': 5,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 23,
        'it_mutations_computation_killed': 397,
        'both_mutations_computation_killed': 321,
        'ut_mutations_data_killed': 25,
        'it_mutations_data_killed': 352,
        'both_mutations_data_killed': 190,
        'ut_mutations_int_killed': 278,
        'it_mutations_int_killed': 3410,
        'both_mutations_int_killed': 1840,
        'ut_mutations_lc_killed': 281,
        'it_mutations_lc_killed': 3344,
        'both_mutations_lc_killed': 2269,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 0,
        'both_mutations_other_killed': 0,



        'ut_disj_mutations_computation_killed': 1,
        'it_disj_mutations_computation_killed': 4,
        'both_disj_mutations_computation_killed': 6,
        'ut_disj_mutations_data_killed': 0,
        'it_disj_mutations_data_killed': 0,
        'both_disj_mutations_data_killed': 6,
        'ut_disj_mutations_int_killed': 3,
        'it_disj_mutations_int_killed': 2,
        'both_disj_mutations_int_killed': 50,
        'ut_disj_mutations_lc_killed': 0,
        'it_disj_mutations_lc_killed': 1,
        'both_disj_mutations_lc_killed': 87,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 1367,
        'it_lines_sum': 17575
    },
    'zxing': {
        'ut_seeded_computation_killed': 0,
        'it_seeded_computation_killed': 3,
        'both_seeded_computation_killed': 0,
        'ut_seeded_data_killed': 1,
        'it_seeded_data_killed': 2,
        'both_seeded_data_killed': 0,
        'ut_seeded_int_killed': 0,
        'it_seeded_int_killed': 2,
        'both_seeded_int_killed': 0,
        'ut_seeded_lc_killed': 0,
        'it_seeded_lc_killed': 5,
        'both_seeded_lc_killed': 0,
        'ut_seeded_other_killed': 0,
        'it_seeded_other_killed': 5,
        'both_seeded_other_killed': 0,

        'ut_mutations_computation_killed': 65,
        'it_mutations_computation_killed': 1130,
        'both_mutations_computation_killed': 192,
        'ut_mutations_data_killed': 298,
        'it_mutations_data_killed': 2920,
        'both_mutations_data_killed': 469,
        'ut_mutations_int_killed': 318,
        'it_mutations_int_killed': 3900,
        'both_mutations_int_killed': 438,
        'ut_mutations_lc_killed': 681,
        'it_mutations_lc_killed': 8439,
        'both_mutations_lc_killed': 1331,
        'ut_mutations_other_killed': 0,
        'it_mutations_other_killed': 4,
        'both_mutations_other_killed': 0,



        'ut_disj_mutations_computation_killed': 1,
        'it_disj_mutations_computation_killed': 2,
        'both_disj_mutations_computation_killed': 4,
        'ut_disj_mutations_data_killed': 0,
        'it_disj_mutations_data_killed': 2,
        'both_disj_mutations_data_killed': 4,
        'ut_disj_mutations_int_killed': 1,
        'it_disj_mutations_int_killed': 1,
        'both_disj_mutations_int_killed': 4,
        'ut_disj_mutations_lc_killed': 0,
        'it_disj_mutations_lc_killed': 2,
        'both_disj_mutations_lc_killed': 29,
        'ut_disj_mutations_other_killed': 0,
        'it_disj_mutations_other_killed': 0,
        'both_disj_mutations_other_killed': 0,
        'ut_lines_sum': 1487,
        'it_lines_sum': 10163
    },
}
results = collections.OrderedDict(sorted(results.items()))

ut_comp_seeded_scores = []
it_comp_seeded_scores = []
ut_data_seeded_scores = []
it_data_seeded_scores = []
ut_int_seeded_scores = []
it_int_seeded_scores = []
ut_lc_seeded_scores = []
it_lc_seeded_scores = []

ut_comp_mutations_scores = []
it_comp_mutations_scores = []
ut_data_mutations_scores = []
it_data_mutations_scores = []
ut_int_mutations_scores = []
it_int_mutations_scores = []
ut_lc_mutations_scores = []
it_lc_mutations_scores = []

ut_comp_disj_mutations_scores = []
it_comp_disj_mutations_scores = []
ut_data_disj_mutations_scores = []
it_data_disj_mutations_scores = []
ut_int_disj_mutations_scores = []
it_int_disj_mutations_scores = []
ut_lc_disj_mutations_scores = []
it_lc_disj_mutations_scores = []


table_seeded = []
table_mutation = []
table_disj_mutation = []

for project_name, result in results.items():
    ut_k_testloc = result['ut_lines_sum']/1000
    it_k_testloc = result['it_lines_sum']/1000

    ut_comp_seeded_score = (result['ut_seeded_computation_killed'] / ut_k_testloc)
    it_comp_seeded_score = (result['it_seeded_computation_killed'] / it_k_testloc)
    ut_data_seeded_score = (result['ut_seeded_data_killed'] / ut_k_testloc)
    it_data_seeded_score = (result['it_seeded_data_killed'] / it_k_testloc)
    ut_int_seeded_score = (result['ut_seeded_int_killed'] / ut_k_testloc)
    it_int_seeded_score = (result['it_seeded_int_killed'] / it_k_testloc)
    ut_lc_seeded_score = (result['ut_seeded_lc_killed'] / ut_k_testloc)
    it_lc_seeded_score = (result['it_seeded_lc_killed'] / it_k_testloc)
    ut_comp_seeded_scores.append(ut_comp_seeded_score)
    it_comp_seeded_scores.append(it_comp_seeded_score)
    ut_data_seeded_scores.append(ut_data_seeded_score)
    it_data_seeded_scores.append(it_data_seeded_score)
    ut_int_seeded_scores.append(ut_int_seeded_score)
    it_int_seeded_scores.append(it_int_seeded_score)
    ut_lc_seeded_scores.append(ut_lc_seeded_score)
    it_lc_seeded_scores.append(it_lc_seeded_score)


    ut_comp_mutations_score = (result['ut_mutations_computation_killed'] / ut_k_testloc)
    it_comp_mutations_score = (result['it_mutations_computation_killed'] / it_k_testloc)
    ut_data_mutations_score = (result['ut_mutations_data_killed'] / ut_k_testloc)
    it_data_mutations_score = (result['it_mutations_data_killed'] / it_k_testloc)
    ut_int_mutations_score = (result['ut_mutations_int_killed'] / ut_k_testloc)
    it_int_mutations_score = (result['it_mutations_int_killed'] / it_k_testloc)
    ut_lc_mutations_score = (result['ut_mutations_lc_killed'] / ut_k_testloc)
    it_lc_mutations_score = (result['it_mutations_lc_killed'] / it_k_testloc)
    ut_comp_mutations_scores.append(ut_comp_mutations_score)
    it_comp_mutations_scores.append(it_comp_mutations_score)
    ut_data_mutations_scores.append(ut_data_mutations_score)
    it_data_mutations_scores.append(it_data_mutations_score)
    ut_int_mutations_scores.append(ut_int_mutations_score)
    it_int_mutations_scores.append(it_int_mutations_score)
    ut_lc_mutations_scores.append(ut_lc_mutations_score)
    it_lc_mutations_scores.append(it_lc_mutations_score)

    ut_comp_disj_mutations_score = (result['ut_disj_mutations_computation_killed'] / ut_k_testloc)
    it_comp_disj_mutations_score = (result['it_disj_mutations_computation_killed'] / it_k_testloc)
    ut_data_disj_mutations_score = (result['ut_disj_mutations_data_killed'] / ut_k_testloc)
    it_data_disj_mutations_score = (result['it_disj_mutations_data_killed'] / it_k_testloc)
    ut_int_disj_mutations_score = (result['ut_disj_mutations_int_killed'] / ut_k_testloc)
    it_int_disj_mutations_score = (result['it_disj_mutations_int_killed'] / it_k_testloc)
    ut_lc_disj_mutations_score = (result['ut_disj_mutations_lc_killed'] / ut_k_testloc)
    it_lc_disj_mutations_score = (result['it_disj_mutations_lc_killed'] / it_k_testloc)
    ut_comp_disj_mutations_scores.append(ut_comp_disj_mutations_score)
    it_comp_disj_mutations_scores.append(it_comp_disj_mutations_score)
    ut_data_disj_mutations_scores.append(ut_data_disj_mutations_score)
    it_data_disj_mutations_scores.append(it_data_disj_mutations_score)
    ut_int_disj_mutations_scores.append(ut_int_disj_mutations_score)
    it_int_disj_mutations_scores.append(it_int_disj_mutations_score)
    ut_lc_disj_mutations_scores.append(ut_lc_disj_mutations_score)
    it_lc_disj_mutations_scores.append(it_lc_disj_mutations_score)

    # Populate tables
    table_seeded.append([project_name,
                         "%.3f" % ut_comp_seeded_score, "%.3f" % it_comp_seeded_score,
                         "%.3f" % ut_data_seeded_score, "%.3f" % it_data_seeded_score,
                         "%.3f" % ut_int_seeded_score, "%.3f" % it_int_seeded_score,
                         "%.3f" % ut_lc_seeded_score, "%.3f" % it_lc_seeded_score])
    table_mutation.append([project_name,
                           "%.2f" % ut_comp_mutations_score, "%.2f" % it_comp_mutations_score,
                           "%.2f" % ut_data_mutations_score, "%.2f" % it_data_mutations_score,
                           "%.2f" % ut_int_mutations_score, "%.2f" % it_int_mutations_score,
                           "%.2f" % ut_lc_mutations_score, "%.2f" % it_lc_mutations_score])
    table_disj_mutation.append([project_name,
                                "%.3f" % ut_comp_disj_mutations_score, "%.3f" % it_comp_disj_mutations_score,
                                "%.3f" % ut_data_disj_mutations_score, "%.3f" % it_data_disj_mutations_score,
                                "%.3f" % ut_int_disj_mutations_score, "%.3f" % it_int_disj_mutations_score,
                                "%.3f" % ut_lc_disj_mutations_score, "%.3f" % it_lc_disj_mutations_score])

### Paper Tables ###
print("SEEDED DEFECTS")
table_seeded.append(['Mean',
                     "%.3f" % statistics.mean(ut_comp_seeded_scores), "%.3f" % statistics.mean(it_comp_seeded_scores),
                     "%.3f" % statistics.mean(ut_data_seeded_scores), "%.3f" % statistics.mean(it_data_seeded_scores),
                     "%.3f" % statistics.mean(ut_int_seeded_scores), "%.3f" % statistics.mean(it_int_seeded_scores),
                     "%.3f" % statistics.mean(ut_lc_seeded_scores), "%.3f" % statistics.mean(it_lc_seeded_scores)])
table_seeded.append(['StDev',
                     "%.3f" % statistics.stdev(ut_comp_seeded_scores), "%.3f" % statistics.stdev(it_comp_seeded_scores),
                     "%.3f" % statistics.stdev(ut_data_seeded_scores), "%.3f" % statistics.stdev(it_data_seeded_scores),
                     "%.3f" % statistics.stdev(ut_int_seeded_scores), "%.3f" % statistics.stdev(it_int_seeded_scores),
                     "%.3f" % statistics.stdev(ut_lc_seeded_scores), "%.3f" % statistics.stdev(it_lc_seeded_scores)])
print(tabulate(table_seeded, tablefmt="latex"))

print("ALL MUTATIONS")
table_mutation.append(['Mean',
                       "%.2f" % statistics.mean(ut_comp_mutations_scores), "%.2f" % statistics.mean(it_comp_mutations_scores),
                       "%.2f" % statistics.mean(ut_data_mutations_scores), "%.2f" % statistics.mean(it_data_mutations_scores),
                       "%.2f" % statistics.mean(ut_int_mutations_scores), "%.2f" % statistics.mean(it_int_mutations_scores),
                       "%.2f" % statistics.mean(ut_lc_mutations_scores), "%.2f" % statistics.mean(it_lc_mutations_scores)])
table_mutation.append(['StDev',
                       "%.2f" % statistics.stdev(ut_comp_mutations_scores), "%.2f" % statistics.stdev(it_comp_mutations_scores),
                       "%.2f" % statistics.stdev(ut_data_mutations_scores), "%.2f" % statistics.stdev(it_data_mutations_scores),
                       "%.2f" % statistics.stdev(ut_int_mutations_scores), "%.2f" % statistics.stdev(it_int_mutations_scores),
                       "%.2f" % statistics.stdev(ut_lc_mutations_scores), "%.2f" % statistics.stdev(it_lc_mutations_scores)])
print(tabulate(table_mutation, tablefmt="latex"))

print("DISJOINT MUTATIONS")
table_disj_mutation.append(['Mean',
                            "%.3f" % statistics.mean(ut_comp_disj_mutations_scores), "%.3f" % statistics.mean(it_comp_disj_mutations_scores),
                            "%.3f" % statistics.mean(ut_data_disj_mutations_scores), "%.3f" % statistics.mean(it_data_disj_mutations_scores),
                            "%.3f" % statistics.mean(ut_int_disj_mutations_scores), "%.3f" % statistics.mean(it_int_disj_mutations_scores),
                            "%.3f" % statistics.mean(ut_lc_disj_mutations_scores), "%.3f" % statistics.mean(it_lc_disj_mutations_scores)])
table_disj_mutation.append(['StDev',
                            "%.3f" % statistics.stdev(ut_comp_disj_mutations_scores), "%.3f" % statistics.stdev(it_comp_disj_mutations_scores),
                            "%.3f" % statistics.stdev(ut_data_disj_mutations_scores), "%.3f" % statistics.stdev(it_data_disj_mutations_scores),
                            "%.3f" % statistics.stdev(ut_int_disj_mutations_scores), "%.3f" % statistics.stdev(it_int_disj_mutations_scores),
                            "%.3f" % statistics.stdev(ut_lc_disj_mutations_scores), "%.3f" % statistics.stdev(it_lc_disj_mutations_scores)])
print(tabulate(table_disj_mutation, tablefmt="latex"))

### Statistical Test ###

# Seeded Defects
print("SEEDED DEFECTS - COMPUTATION")
print(stats.shapiro(ut_comp_seeded_scores))
print(stats.shapiro(it_comp_seeded_scores))
print(stats.levene(ut_comp_seeded_scores, it_comp_seeded_scores))
print(stats.mannwhitneyu(ut_comp_seeded_scores, it_comp_seeded_scores))

print("SEEDED DEFECTS - DATA")
print(stats.shapiro(ut_data_seeded_scores))
print(stats.shapiro(it_data_seeded_scores))
print(stats.levene(ut_data_seeded_scores, it_data_seeded_scores))
print(stats.mannwhitneyu(ut_data_seeded_scores, it_data_seeded_scores))

print("SEEDED DEFECTS - INTERFACE")
print(stats.shapiro(ut_int_seeded_scores))
print(stats.shapiro(it_int_seeded_scores))
print(stats.levene(ut_int_seeded_scores, it_int_seeded_scores))
print(stats.mannwhitneyu(ut_int_seeded_scores, it_int_seeded_scores))

print("SEEDED DEFECTS - LOGIC/CONTROL")
print(stats.shapiro(ut_lc_seeded_scores))
print(stats.shapiro(it_lc_seeded_scores))
print(stats.levene(ut_lc_seeded_scores, it_lc_seeded_scores))
print(stats.mannwhitneyu(ut_lc_seeded_scores, it_lc_seeded_scores))

# Mutations (ALL)
print("ALL MUTATIONS - COMPUTATION")
print(stats.shapiro(ut_comp_mutations_scores))
print(stats.shapiro(it_comp_mutations_scores))
print(stats.levene(ut_comp_mutations_scores, it_comp_mutations_scores))
print(stats.mannwhitneyu(ut_comp_mutations_scores, it_comp_mutations_scores))

print("ALL MUTATIONS - DATA")
print(stats.shapiro(ut_data_mutations_scores))
print(stats.shapiro(it_data_mutations_scores))
print(stats.levene(ut_data_mutations_scores, it_data_mutations_scores))
print(stats.mannwhitneyu(ut_data_mutations_scores, it_data_mutations_scores))

print("ALL MUTATIONS - INTERFACE")
print(stats.shapiro(ut_int_mutations_scores))
print(stats.shapiro(it_int_mutations_scores))
print(stats.levene(ut_int_mutations_scores, it_int_mutations_scores))
print(stats.ttest_ind(ut_int_mutations_scores, it_int_mutations_scores))

print("ALL MUTATIONS - LOGIC/CONTROL")
print(stats.shapiro(ut_lc_mutations_scores))
print(stats.shapiro(it_lc_mutations_scores))
print(stats.levene(ut_lc_mutations_scores, it_lc_mutations_scores))
print(stats.ttest_ind(ut_lc_mutations_scores, it_lc_mutations_scores))

# Mutations (DISJOINT)
print("DISJOINT MUTATIONS - COMPUTATION")
print(stats.shapiro(ut_comp_disj_mutations_scores))
print(stats.shapiro(it_comp_disj_mutations_scores))
print(stats.levene(ut_comp_disj_mutations_scores, it_comp_disj_mutations_scores))
print(stats.mannwhitneyu(ut_comp_disj_mutations_scores, it_comp_disj_mutations_scores))

print("DISJOINT MUTATIONS - DATA")
print(stats.shapiro(ut_data_disj_mutations_scores))
print(stats.shapiro(it_data_disj_mutations_scores))
print(stats.levene(ut_data_disj_mutations_scores, it_data_disj_mutations_scores))
print(stats.mannwhitneyu(ut_data_disj_mutations_scores, it_data_disj_mutations_scores))

print("DISJOINT MUTATIONS - INTERFACE")
print(stats.shapiro(ut_int_disj_mutations_scores))
print(stats.shapiro(it_int_disj_mutations_scores))
print(stats.levene(ut_int_disj_mutations_scores, it_int_disj_mutations_scores))
print(stats.mannwhitneyu(ut_int_disj_mutations_scores, it_int_disj_mutations_scores))

print("DISJOINT MUTATIONS - LOGIC/CONTROL")
print(stats.shapiro(ut_lc_disj_mutations_scores))
print(stats.shapiro(it_lc_disj_mutations_scores))
print(stats.levene(ut_lc_disj_mutations_scores, it_lc_disj_mutations_scores))
print(stats.mannwhitneyu(ut_lc_disj_mutations_scores, it_lc_disj_mutations_scores))
